<?php
/**
 * This script illustrates an example of active respnce in ask question form with category selection
 *
 * @copyright web-site-scripts.com, 2010
 */
// including config
include 'config.php';
show_header("XML-RCP API :: Active Response Simple");

// setup method parameters
$method = new xmlrpcmsg(
    'get.Category.list', // method name
    array (          // parameters
        php_xmlrpc_encode(CLIENT_TOKEN),  // RPC-Client token to get access to resticted KMP features
        php_xmlrpc_encode(0),             // category id is 0 - select all categories and subcategories
        php_xmlrpc_encode('N'),           // public only is N - get all categories
        php_xmlrpc_encode('Y'),           // include subcategories is Y - include subcategories
    )
);

// setup client object
$client = new xmlrpc_client(URL_TO_KMP_RPC_SERVER);
$client->setDebug(0); // disable debugging

// send request to KMP XML-RPC API server
$result = $client->send($method);

if (! $result->faultCode()) { // continue if there have been no errors
    // get response formatted as PHP Array
    $list_categories = php_xmlrpc_decode($result->value());
} else { // show exception if error occured
    $error_message = "An error occurred: ";
    $error_message .= "Code: " . htmlspecialchars($result->faultCode()) . " Error: " . htmlspecialchars($result->faultString());
    show_error($error_message);
}

show_ask_question_form($list_categories);

// output page footer
show_footer();
?>