<?php
/**
 * This script illustrates an example of request to the KMP to demostrate active responce (for Active.Response.Simple.php)
 *
 * @copyright web-site-scripts.com, 2010
 */
// including config
include 'config.php';

// setup method parameters
$search = '';
if (isset($_POST['searchSubject']) && trim($_POST['searchSubject']) != '') {
	$search = $_POST['searchSubject'];
}
if (isset($_POST['searchQuestion']) && trim($_POST['searchQuestion']) != '') {
	if ($search = '') {
		$search = $_POST['searchQuestion'];
	} else {
		$search .= ' ' . $_POST['searchQuestion'];
	}
}
$method = new xmlrpcmsg(
    'search.SuggestedArticles', // method name
    array (          // parameters
        php_xmlrpc_encode(CLIENT_TOKEN),  // RPC-Client token to get access to resticted KMP features
        php_xmlrpc_encode($search, array('base64')),   // search text
        php_xmlrpc_encode('Y'),           // public only is 'Y' - search for public articles only
        php_xmlrpc_encode(10),            // records quantity is 10 - return 10 results of search
        php_xmlrpc_encode(isset($_POST['cat_id']) ? intval($_POST['cat_id']) : 0 ), // category id is taken from POST or is set to 0 (search all categories)
        php_xmlrpc_encode('Y'),           // search in subcategories is Y - include subcategories in search
        php_xmlrpc_encode(255),           // length of article preview is 255
    )
);

// setup client object
$client = new xmlrpc_client(URL_TO_KMP_RPC_SERVER);
$client->setDebug(0); // disable debugging

// send request to KMP XML-RPC API server
$result = $client->send($method);

if (! $result->faultCode()) { // continue if there have been no errors
    $out = array();
    // get response formatted as PHP Array
    $response = php_xmlrpc_decode($result->value());

    $articles = $response['articles'];

    /*
     * rebuild array to fit needed structure for js
     */
    $out = array();
    if (count($articles)) {
        foreach ($articles as $article) {
        	$tmp = array();
            $tmp['type'] = $article['type'];
            $tmp['id'] = $article['code'];
            $tmp['code'] = $article['code'];
            $tmp['title'] = $article['question'];
            $tmp['favorite'] = $article['favorite'];
            $tmp['featured'] = $article['featured'];
            $tmp['description'] = '<p class="article-p">' . $article['answer'] . '...</p>';

            $tmp['articlePath'] = '<div class="article-path"><ul class="path-2">';
            $tmp['articlePath'] .= '<li class="fst-noimg"><a href="' . URL_TO_KMP . ACCOUNT_PATH . '">Home</a></li>';
            foreach ($article['categories'][0]['fullPath'] as $cat) {
            	$tmp['articlePath'] .= '<li><a href="' . URL_TO_KMP . ACCOUNT_PATH . 'category/' . $cat['catId'] . '">' . $cat['catName'] . '</a></li>';
            }
            $tmp['articlePath'] .= '</ul></div>';

            $tmp['comments'] = '<p>Comments: ' . $article['comments'] . '</p>';
            $tmp['attachments'] = '<p>Attachments: ' . $article['comments'] . '</p>';

            $tmp['attach_id'] = $article['attach_id'];
            $tmp['attach_name'] = $article['attach_name'];
            $tmp['attach_filename'] = $article['file_name'];
            $tmp['mime_type'] = str_replace('/', '-', $article['mime_type']);

            $out[] = $tmp;
        }
    }

    echo php2js($out);
    exit;
} else { // show exception if error occured
    $error_message = "An error occurred: ";
    $error_message .= "Code: " . htmlspecialchars($result->faultCode()) . " Error: " . htmlspecialchars($result->faultString());
    show_error($error_message);
}

?>