<?php
/**
 * This script illustrates an example of request to the KMP to get search suggests (for Search.Field.With.Search.Suggest.php)
 *
 * @copyright web-site-scripts.com, 2010
 */
// including config
include 'config.php';

// setup method parameters
$method = new xmlrpcmsg(
    'search.Suggests', // method name
    array (          // parameters
        php_xmlrpc_encode(CLIENT_TOKEN),   // RPC-Client token to get access to resticted KMP features
        php_xmlrpc_encode($_POST['searchText'], array('base64')), //search suggests for serach phrase
        php_xmlrpc_encode(0),             // category id is 0 - search all categories
        php_xmlrpc_encode('Y'),           // public only is Y - search only public articles
    )
);

// setup client object
$client = new xmlrpc_client(URL_TO_KMP_RPC_SERVER);
$client->setDebug(0); // disable debugging

// send request to KMP XML-RPC API server
$result = $client->send($method);

if (! $result->faultCode()) { // continue if there have been no errors
	$out = array();
    // get response formatted as PHP Array
    $response = php_xmlrpc_decode($result->value());

    /*
     * set urls for categories
     */
    $categories = $response['categories'];
    foreach ($categories as $key => $el) {
        $categories[$key]['action'] = URL_TO_KMP . ACCOUNT_PATH . 'category/' . $el['id'];
    }

    $articles = $response['articles'];
    $articles = array_merge($articles, $response['attachments']);
    /*
     * set urls for articles and attachments
     */
    foreach ($articles as $key => $el) {
    	if ($el['type'] == "attachments") {
            $articles[$key]['action'] = URL_TO_KMP . ACCOUNT_PATH . 'getAttach/' .  $el['id'] . '/' . $el['code'] . '/' . strip_tags($el['text']);
    	} else {
            $articles[$key]['action'] = URL_TO_KMP . ACCOUNT_PATH . 'article/' . $el['code'];
    	}
    }

    $action['text'] = 'Search for "' . $_POST['searchText'] . '"';
    $action['image'] = 'images/action-preview.gif';
    $action['action'] = 'javascript: performSearch();';

    if (count($articles)) {
        $out[] = $articles;
    }
    if (count($categories)) {
    	$out[] = $categories;
    }
    if (count($categories) || count($articles)) {
    	$out[] = array($action);
    }


    echo php2js($out);
    exit;
} else { // show exception if error occured
    $error_message = "An error occurred: ";
    $error_message .= "Code: " . htmlspecialchars($result->faultCode()) . " Error: " . htmlspecialchars($result->faultString());
    show_error($error_message);
}

?>