<?php
/**
 * This script illustrates an example of request to the KMP to add category
 *
 * @copyright web-site-scripts.com, 2010
 */

require_once('common.php');

// RPC-Client Token
// Replace this token with your valid client token
if (!defined(CLIENT_TOKEN)) {
    define('CLIENT_TOKEN', '7d2bcb40da91a814126fabaa35a2a579');
}

// URL to your KMP RPC server. Normaly it's an URL to KMP frontend plus 'api.php'
// Do not forget to change this URL accordingly
if (!defined(URL_TO_KMP_RPC_SERVER)) {
    define('URL_TO_KMP_RPC_SERVER', 'http://example.host/kb/api.php');
}

// include XML RPC library
include_once '../lib/xmlrpc.inc';
// setup method parameters
$method = new xmlrpcmsg(
    'add.Category', // method name
    array (          // parameters
        php_xmlrpc_encode(CLIENT_TOKEN),  // RPC-Client token to get access to resticted KMP features
        php_xmlrpc_encode('some test name to add'),        // category name
        php_xmlrpc_encode(0),             // parent category id
        php_xmlrpc_encode('something'),// meta _keywords
        php_xmlrpc_encode('something descr'),// meta description
        php_xmlrpc_encode(1),        // position
        php_xmlrpc_encode('N'),// public
        php_xmlrpc_encode(array ()) // group_ids
    )
);

// setup client object
$client = new xmlrpc_client(URL_TO_KMP_RPC_SERVER);
$client->setDebug(0); // disable debugging

// sending request to KMP RPC server
$result = $client->send($method);

if (! $result->faultCode()) { // continue if there are no errors happened
    $articles = $result->value();

    // show RPC server response on the page

    echo '<pre>';
    $result = php_xmlrpc_decode($articles);
	print_r(array_to_entities($result));
    echo '</pre>';

} else { // show the exception
    print "An error occurred: ";
    print "Code: " . htmlspecialchars($result->faultCode()) . " Error: " . htmlspecialchars($result->faultString());
}

?>