<?php
/**
 * This script illustrates an example of request to the KMP to add user
 *
 * @copyright web-site-scripts.com, 2013
 */

require_once('common.php');

// RPC-Client Token
// Replace this token with your valid client token
if (!defined(CLIENT_TOKEN)) {
    define('CLIENT_TOKEN', '895f09e5c6e554818452c61493cbc28e');
}

// URL to your KMP RPC server. Normaly it's an URL to KMP frontend plus 'api.php'
// Do not forget to change this URL accordingly
if (!defined(URL_TO_KMP_RPC_SERVER)) {
    define('URL_TO_KMP_RPC_SERVER', 'http://example.host/kb/api.php');
}

// include XML RPC library
include_once '../lib/xmlrpc.inc';
// setup method parameters
$method = new xmlrpcmsg(
    'add.User', // method name
    array (          // parameters
        php_xmlrpc_encode(CLIENT_TOKEN),  // RPC-Client token to get access to resticted KMP features
        php_xmlrpc_encode('test_api_user'), // login
        php_xmlrpc_encode('password1'), // password
        php_xmlrpc_encode('fname'), // first name
        php_xmlrpc_encode('lname'), // last name
        php_xmlrpc_encode('test_api_user@email.com'), // email
        php_xmlrpc_encode('Y'), // activate the user immediately upon creation: 'Y', 'N', optional
        php_xmlrpc_encode(array(9)), // Array with user group IDs (the new user will be assigned to these groups), optional. Lookup group IDs on the Users & Groups > Staff > Manage Staff Groups, or Users & Groups > Clients > Manage Client Groups pages.
        php_xmlrpc_encode(2), // language id, optional. Default language ID is 2 (English). Lookup language IDs in the 'languages' table in the database.
        php_xmlrpc_encode('Y-m-d'), // date format, optional
        php_xmlrpc_encode(61), // gmtoffset, optional. Default is 61 (for GMT). Lookup the IDs in the 'gmt' table in the KMP database.
        php_xmlrpc_encode('H:i'), // time format, optional. Possible options: 'H:i' (23:00), 'h:i a' (11:00 pm), 'h:i A' (11:00 PM).
        php_xmlrpc_encode('N') // send login info to the user by email: 'Y', 'N', optional
    )
);

// setup client object
$client = new xmlrpc_client(URL_TO_KMP_RPC_SERVER);
$client->setDebug(0); // disable debugging

// sending request to KMP RPC server
$result = $client->send($method);

if (! $result->faultCode()) { // continue if there are no errors happened
    $articles = $result->value();

    // show RPC server response on the page

    echo '<pre>';
    $result = php_xmlrpc_decode($articles);
	print_r($result);
	//print_r(array_to_entities($result));
    echo '</pre>';

} else { // show the exception
    print "An error occurred: ";
    print "Code: " . htmlspecialchars($result->faultCode()) . " Error: " . htmlspecialchars($result->faultString());
}

?>