<?php
/**
 * This script illustrates an example of request to the KMP to search for articles
 *
 * @copyright web-site-scripts.com, 2010
 */

require_once('common.php');
 
// RPC-Client Token
// Replace this token with your valid client token
if (!defined(CLIENT_TOKEN)) {
    define('CLIENT_TOKEN', 'cjh948cjy4fg76gnm76zg76gmn3rt24');
}

// URL to your KMP RPC server. Normaly it's an URL to KMP frontend plus 'api.php'
// Do not forget to change this URL accordingly
if (!defined(URL_TO_KMP_RPC_SERVER)) {
    define('URL_TO_KMP_RPC_SERVER', 'http://example.host/kb/api.php');
}

// include XML RPC library
include_once '../lib/xmlrpc.inc';

// setup method parameters
$method = new xmlrpcmsg(
    'search.Articles', // method name
    array (          // parameters
        php_xmlrpc_encode(CLIENT_TOKEN),  // RPC-Client token to get access to resticted KMP features
        php_xmlrpc_encode('tes', array('base64')),        //search phrase - search for this text
        php_xmlrpc_encode('Y'),           //public only is Y - select only from public articles
        php_xmlrpc_encode(0),             //start id 0 - start from record 0
        php_xmlrpc_encode(100),            //limit is 10 - select 10 records
        php_xmlrpc_encode('all'),         //search in is 'all' - search in all, can be 'articles', 'comments', 'attachments',
        php_xmlrpc_encode(0),             //category id is 0 - search in all categories
        php_xmlrpc_encode('Y'),           //search in subcategories is Y - search in subcategories
        php_xmlrpc_encode(0),             //author id is 0 - search for any author
        php_xmlrpc_encode(array(
            'dateFilter' => 'custom',
            'dateFilterFrom' => '2001-01-01 01:01:01',
            'dateFilterTo' => '2011-01-01 01:01:01'
            )),    //date is 'all time' - can be 'today', 'yesterday', '7_days', '30_days', 'this_month', 'last_month', 'all_time', 'custom'
        php_xmlrpc_encode(array(
                            /*
                            array('cf_id' => '1',
                                  'value' => 'search'),
                            array('cf_id' => '2',
                                  'value' => 'search')
                            */
                            )),
                            /* custom fields is an array that contains of elemets like
                            array('cf_id' => '1',
                                  'value' => 'search')
                            cf_id is custom field id
                            value is the values that will besearched in custom field

                            */
        php_xmlrpc_encode('NLS'),         //search type is 'NLS' - natural language search
        php_xmlrpc_encode('all words'),   //search logic is 'all words' - search for all words
        php_xmlrpc_encode('N'),           //use query expansion is N - do no use query expansion
        php_xmlrpc_encode('Y'),           //highlight occurrences in Y - higlight search words in found articles
        php_xmlrpc_encode(255)            //preview length is 255 - length of text for preview
    )
);

// setup client object
$client = new xmlrpc_client(URL_TO_KMP_RPC_SERVER);
$client->setDebug(0); // disable debugging

// sending request to KMP RPC server
$result = $client->send($method);

if (! $result->faultCode()) { // continue if there are no errors happened
    $articles = $result->value();

    // show RPC server response on the page

    echo '<pre>';
    $result = php_xmlrpc_decode($articles);
	print_r(array_to_entities($result));
    echo '</pre>';

} else { // show the exception
    print "An error occurred: ";
    print "Code: " . htmlspecialchars($result->faultCode()) . " Error: " . htmlspecialchars($result->faultString());
}

?>