<?php
/**
 * This script illustrates an example of request to the KMP to search for categories
 *
 * @copyright web-site-scripts.com, 2010
 */

require_once('common.php');
 
// RPC-Client Token
// Replace this token with your valid client token
if (!defined(CLIENT_TOKEN)) {
    define('CLIENT_TOKEN', 'cjh948cjy4fg76gnm76zg76gmn3rt24');
}

// URL to your KMP RPC server. Normaly it's an URL to KMP frontend plus 'api.php'
// Do not forget to change this URL accordingly
if (!defined(URL_TO_KMP_RPC_SERVER)) {
    define('URL_TO_KMP_RPC_SERVER', 'http://example.host/kb/api.php');
}

// include XML RPC library
include_once '../lib/xmlrpc.inc';

// setup method parameters
$method = new xmlrpcmsg(
    'search.Categories', // method name
    array (          // parameters
        php_xmlrpc_encode(CLIENT_TOKEN),  // RPC-Client token to get access to resticted KMP features
        php_xmlrpc_encode('sma', array('base64')),        // search text - search categories for this text
        php_xmlrpc_encode('Y'),           // public only is Y - search only in public articles
        php_xmlrpc_encode(0),             // start is 0 - return starting from record 0
        php_xmlrpc_encode(10),            // limit is 10 = return not more that 10 records
        php_xmlrpc_encode(0),             // category id is 0 - search for all categories
        php_xmlrpc_encode('Y'),           // search in subcategories is Y - search in subcategories too
        php_xmlrpc_encode('NLS'),         // search type is nls - natural language search
        php_xmlrpc_encode('all words'),   // search logic is all words - search for all words
        php_xmlrpc_encode('N'),           // use query expansion is N - do not user query expansion
        php_xmlrpc_encode('Y')            // highlight occurrences is Y - highlight search words
    )
);

// setup client object
$client = new xmlrpc_client(URL_TO_KMP_RPC_SERVER);
$client->setDebug(0); // disable debugging

// sending request to KMP RPC server
$result = $client->send($method);

if (! $result->faultCode()) { // continue if there are no errors happened
    $articles = $result->value();

    // show RPC server response on the page

    echo '<pre>';
    $result = php_xmlrpc_decode($articles);
	print_r(array_to_entities($result));
    echo '</pre>';

} else { // show the exception
    print "An error occurred: ";
    print "Code: " . htmlspecialchars($result->faultCode()) . " Error: " . htmlspecialchars($result->faultString());
}

?>