<?php
/**
 * This script illustrates an example of request to the KMP to get a article by it's code
 *
 * @copyright web-site-scripts.com, 2010
 */

// RPC-Client Token
// Replace this token with your valid client token
if (!defined(CLIENT_TOKEN)) {
    define('CLIENT_TOKEN', 'cjh948cjy4fg76gnm76zg76gmn3rt24');
}

// URL to your KMP RPC server. Normaly it's an URL to KMP frontend plus 'api.php'
// Do not forget to change this URL accordingly
if (!defined(URL_TO_KMP_RPC_SERVER)) {
    define('URL_TO_KMP_RPC_SERVER', 'http://example.host/kb/api.php');
}

// include XML RPC library
include_once '../lib/xmlrpc.inc';

// setup method parameters
$method = new xmlrpcmsg(
    'search.Terms', // method name
    array (          // parameters
        php_xmlrpc_encode(CLIENT_TOKEN),  // RPC-Client token to get access to resticted KMP features
        php_xmlrpc_encode('ftp', array('base64')),         // Search string is 'FTP'
        php_xmlrpc_encode(0),             // Start is 0 - start from record 0
        php_xmlrpc_encode(10),             // Limit is 10 - limit mumber of records to 10

        php_xmlrpc_encode('NLS'),          // Seatch type is NLS - natural language search (can be 'NLS', 'Keyword', 'Boolean')
        php_xmlrpc_encode('all words'),    // Search logic is 'all words' (can be 'any word', 'all words', 'exact match')
        php_xmlrpc_encode('N'),            // Use query expansion is N - do not use (can be 'N', 'Y')
        php_xmlrpc_encode('Y')             // highlisht occurences is Y - hightlight found words (can be 'N', 'Y')
    )
);

// setup client object
$client = new xmlrpc_client(URL_TO_KMP_RPC_SERVER);
$client->setDebug(0); // disable debugging

// sending request to KMP RPC server
$result = $client->send($method);

if (! $result->faultCode()) { // continue if there are no errors happened
    $articles = $result->value();

    // show RPC server response on the page

    echo '<pre>';
    print_r(php_xmlrpc_decode($articles));
    echo '</pre>';

} else { // show the exception
    print "An error occurred: ";
    print "Code: " . htmlspecialchars($result->faultCode()) . " Error: " . htmlspecialchars($result->faultString());
}

?>